### Method

# Gimp Drawable colorize_hsl

since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_colorize_hsl (
      GimpDrawable* drawable,
      gdouble hue,
      gdouble saturation,
      gdouble lightness
    )

#### Description [src]

Render the drawable as a grayscale image seen through a colored glass.

Desaturates the drawable, then tints it with the specified color. This tool is only valid on RGB color images. It will not operate on grayscale drawables.

Available since: 2.10

#### Parameters

`hue`

  Type: `gdouble`

  Hue in degrees.

`saturation`

  Type: `gdouble`

  Saturation in percent.

`lightness`

  Type: `gdouble`

  Lightness in percent.

#### Return value

Type: `gboolean`

TRUE on success.